### db get_join |

`

###

    db get_join
    	[-txn txnid]
    	{db key}
    	{db key}
    	...

### Description(db get_join)

The db get_join command performs the cursor operations required to join the specified keys and returns a list of joined {key data} pairs. See Equality join for more information on the underlying requirements for joining.

The options are as follows:

-txn txnid
  If the operation is part of an application-specified transaction, the txnid parameter is a transaction handle returned from env txn. If no transaction handle is specified, but the operation occurs in a transactional database, the operation will be implicitly transaction protected.

In the case of error, a Tcl error is thrown.

`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.